metadata:
  name: connman-usb-tethering
  format: "Apertis Test Definition 1.0"
  image-types:
    target:  [ armhf-internal, armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
  type: functional
  exec-type: manual
  priority: medium
  maintainer: "Apertis Project"
  description: "Test ConnMan support for USB tethering (connection side)."

  resources:
    - "Another device supporting USB tethering."
    - "An USB cable."

  macro_install_packages_preconditions: apertis-tests python-dialog dialog
  pre-conditions:
    - "Connect the remote device to an Internet connection."

  expected:
    - "The service will show as a Ethernet device, and its hash will reflect the
       mac address of the Ethernet device created."
    - "If connections succeeds and you are able to navigate on the internet then
       it works."

  notes:
    - "Make sure that you have disconnected the ethernet connection to the target
       before you start the tethering process."
    - "If you are tethering to an android (4.1) device you need to enable USB
       mass storage mode for the tethering option to become available."

run:
  steps:
    - "Enable USB tethering on the remote device."
    - "Connect the USB cable from the remote device to the system."
    - "Connect to the service:"
    - $ /usr/lib/apertis-tests/connman/connman-test-service.py
